PASSWD(1)

NAME
passwd, yppasswd - modify a user's password

SYNOPSIS
passwd [-l] [user]

DESCRIPTION
Passwd changes the user's Kerberos password. First, the user is prompted for their current password. If the current password is correctly typed, a new password is requested. The new password must be entered twice to avoid typing errors.

The new password should be at least six characters long and not purely alphabetic. Its total length must be less than _PASSWORD_LEN (currently 128 characters). Numbers, upper case letters and meta characters are encouraged.

Once the password has been verified, passwd communicates the new password information to the Kerberos authenticating host.

-l  This option causes the password to be updated only in the local password file, and not with the Kerberos database. When changing only the local password, pwd_mkdb(8) is used to update the password databases.

To change another user's Kerberos password, one must first run kinit(1) followed by passwd(1). The super-user is not required to provide a user's current password if only the local password is modified.

NIS INTERACTION
Passwd has built-in support for NIS. If a user exists in the NIS password database but does not exist locally, passwd automatically switches into ``yppasswd'' mode. If the specified user does not exist in either the local password database of the NIS password maps, passwd returns an error. The following additional options are supported for use with NIS:

-y  The -y flag overrides passwd 's checking heuristics and forces it into NIS mode.

-l  When NIS is enabled, the -l flag can be used to force passwd into ``local only'' mode. This flag can be used to change the entry for a local user when an NIS user exists when the same login name. For example, you will sometimes find entries for system ``placeholder'' users such as bin or daemon in both the NIS password maps and the local user database. By default, passwd will try to change the NIS password. The -l flag can be used to change the local password instead.

When changing an NIS password, the user is required to provide the old password for authentication (the yppasswdd(8) daemon requires the original password before it will allow any changes to the NIS password maps). This restriction applies even to the super-user: the only way for an administrator to override a user's NIS password is by modifying the NIS password maps on the master NIS server.

FILES
/etc/master.passwd
    The user database
/etc/passwd
    A Version 7 format password file
/etc/passwd.XXXXXX
    Temporary copy of the password file

SEE ALSO
chpass(1), kerberos(1), kinit(1), login(1), passwd(5), kpasswdd(8), pwd_mkdb(8), vipw(8) Robert Morris, Ken Thompson, UNIX password security.

NOTES
The yppasswd(1) command is really only a link to passwd.

HISTORY
A passwd command appeared in AT&T UNIX.